summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-07-08 10:03:28 +0200
committerMichał Górny <mgorny@gentoo.org>2020-07-08 10:26:03 +0200
commitc750ad9839b868623b79fb03f213f8218b4f92db (patch)
treeaa434a146838dd0bc825ef0a9dc09787e310d106 /dev-python/virtualenv
parentdev-python/pytest-freezegun: New package, needed for virtualenv (diff)
downloadgentoo-c750ad9839b868623b79fb03f213f8218b4f92db.tar.gz
gentoo-c750ad9839b868623b79fb03f213f8218b4f92db.tar.bz2
gentoo-c750ad9839b868623b79fb03f213f8218b4f92db.zip
dev-python/virtualenv: Bump to 20.0.26
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/virtualenv')
-rw-r--r--dev-python/virtualenv/Manifest1
-rw-r--r--dev-python/virtualenv/virtualenv-20.0.26.ebuild90
2 files changed, 91 insertions, 0 deletions
diff --git a/dev-python/virtualenv/Manifest b/dev-python/virtualenv/Manifest
index 6f7c94790e1..b78a266d9c8 100644
--- a/dev-python/virtualenv/Manifest
+++ b/dev-python/virtualenv/Manifest
@@ -4,3 +4,4 @@ DIST virtualenv-16.7.9.tar.gz 5116740 BLAKE2B 10b77c4d74d3b1be60d567caf60b482748
DIST virtualenv-20.0.18.tar.gz 7982748 BLAKE2B f759ff1c42aaf9229e3f8dedd7b50df12e3a7616f979e18a5a91d58afd190beea86c67e0f7c530ba327427f3a4967ab27d7b922723c9ce92cba844946f8eb8ff SHA512 9295acb4d21da13c93fcf2a73244137a6fd8384313cf2685b67295f3be8cf33aaf6d22fc9ba4fa93dbfd81429eeaf4eb46d752fb717f0f74c172a754b92d41e6
DIST virtualenv-20.0.21.tar.gz 8036935 BLAKE2B 63519368c951989a4112abd77bc8dbdb3548872ccd2da8c8fb8ed0d8dd2b99271df4b666dc5618eb4ccb650ecefff07d57e47ba6ce56c770de432e79f5eb1931 SHA512 168bd977bfecf98b76a20c6059fa372a3a9681e778539d962c7062a19ffdf3387c89eca50e03a4fe83ff2ae8affaf8ec3f87141d0c94240ea205df329a113651
DIST virtualenv-20.0.23.tar.gz 8038565 BLAKE2B e11a7e36c33848fc9c8ad12fed369e6804c11a89e11cb66ff105b4e4e5758dcab15809932f88d9ddbc229d1bb862d29dead9ff2e4da655603e627887a1a2cd1d SHA512 01a56564ac09abca25cd163e7b425d8dbf1f57d6771b57e1f5fe4182f86197009e7ebdcb6f4a8640c8b8f0cdfcfdcd843f7be33848c66b0b5877cc7a8fe6ee0e
+DIST virtualenv-20.0.26.tar.gz 8264088 BLAKE2B 0d5bfbae10fa7de73ec3766863415a5a8f6680b168ef4ef25984b91a9291645189b987bfc63b96897b6f421fd692b4a388eee7a36995b0b65fe52d3019813da4 SHA512 d81fa8f25b7752fbb76494cea62f76d5f40e1397853ef71c1eb8078ffe8748fb365f275cc34ef04f64a001e3300a6f26f872542f68c047bee1eeb74cd49180a7
diff --git a/dev-python/virtualenv/virtualenv-20.0.26.ebuild b/dev-python/virtualenv/virtualenv-20.0.26.ebuild
new file mode 100644
index 00000000000..f783a4a674d
--- /dev/null
+++ b/dev-python/virtualenv/virtualenv-20.0.26.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{6..9}} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=manual
+
+inherit distutils-r1
+
+DESCRIPTION="Virtual Python Environment builder"
+HOMEPAGE="
+ https://virtualenv.pypa.io/en/stable/
+ https://pypi.org/project/virtualenv/
+ https://github.com/pypa/virtualenv/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/appdirs-1.4.3[${PYTHON_USEDEP}]
+ >=dev-python/distlib-0.3.1[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-41[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/contextlib2-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pathlib2-2.3.3[${PYTHON_USEDEP}]
+ ' -2)
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-0.12[${PYTHON_USEDEP}]
+ ' -2 python3_{6,7} pypy3)
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_resources-1.0[${PYTHON_USEDEP}]
+ ' -2 python3_6 pypy3)"
+# coverage is used somehow magically in virtualenv, maybe it actually
+# tests something useful
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ $(python_gen_cond_dep '
+ dev-python/coverage[${PYTHON_USEDEP}]
+ >=dev-python/pip-20.0.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-5[${PYTHON_USEDEP}]
+ >=dev-python/pytest-freezegun-0.4.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.3.4[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ ' 'python3*')
+ )"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme \
+ dev-python/towncrier
+
+src_prepare() {
+ # we don't have xonsh
+ rm tests/unit/activation/test_xonsh.py || die
+ # require internet
+ sed -e 's:test_seed_link_via_app_data:_&:' \
+ -i tests/unit/seed/embed/test_boostrap_link_via_app_data.py || die
+ # TODO: investigate
+ sed -e 's:test_cross_major:_&:' \
+ -i tests/unit/create/test_creator.py || die
+
+ distutils-r1_src_prepare
+}
+
+src_configure() {
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ # TODO: fix/skip with more granularity tests on pypy3
+ if has "${EPYTHON}" pypy3 python2.7; then
+ einfo "Skipping broken tests on pypy3"
+ continue
+ fi
+
+ distutils_install_for_testing
+
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}